{% extends "base.html" %}

{% block jumbotron_content %}
<h2>Вступительные задания</h2>
<p>Тут рид-онли список вступительных заданий. Можно понять, есть ли оно у них вообще и рассылается ли оно автоматом.</p>
{% endblock %}

{% block main_content %}
  <table class="table table-stripped table-hover">
    <thead>
      <th>Мастерская/Программа</th>
      <th>Файл</th>
      <th>Авторассылка?</th>
    </thead>
    <tbody>
    {% for a in assignments %}
      <tr>
        {% with a.workshop_program as wp %}
          <td>
            <abbr title="{{ wp.workshop_name }}:{{ wp.program_name }}">
              {{ wp.workshop_slug }}/{{ wp.program_slug }}
            </abbr>
          </td>
        {% endwith %}
        <td><a href="{{ a.file_absolute_url }}"><abbr title="залито на сайт {{ a.date_uploaded }}">Качнуть</abbr></a></td>
        <td>{{ a.autosend|yesno:"Да,Нет" }}</td>
      </tr>
    {% endfor %}
    </tbody>
  </table>
{% endblock %}

